Skip to content

getCustomerLocation

READ

Get customer location.

POST /api/v1/sales/getCustomerLocation
curl -X POST '<your-host>/api/v1/sales/getCustomerLocation' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "customerLocationId": "string"
  }'
Response
{
  "addressId": "string",
  "companyId": "string",
  "createdAt": "string",
  "customerId": "string",
  "customFields": "…",
  "deliveryZone": "string",
  "id": "string",
  "name": "string",
  "readableId": "string",
  "roadNodeKey": "string",
  "serviceZone": "string",
  "tags": [
    "string"
  ],
  "updatedAt": "string",
  "address": {
    "id": "string",
    "addressLine1": "string",
    "addressLine2": "string",
    "city": "string",
    "stateProvince": "string",
    "countryCode": "string",
    "country": {
      "alpha2": "string",
      "name": "string"
    },
    "postalCode": "string"
  }
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "customerLocationId": {
      "type": "string"
    }
  },
  "required": [
    "customerLocationId"
  ]
}